Package org.eclipse.emf.compare.match.eobject

# Class EqualityHelperExtensionProviderDescriptorRegistryImpl

java.lang.Object
org.eclipse.emf.compare.match.eobject.EqualityHelperExtensionProviderDescriptorRegistryImpl

All Implemented Interfaces:
  `EqualityHelperExtensionProvider.Descriptor.Registry`

public class EqualityHelperExtensionProviderDescriptorRegistryImpl extends Object implements EqualityHelperExtensionProvider.Descriptor.Registry
This will contain all of the EMF Compare equality helper extension provider descriptors.

## Constructor Summary

Constructors
Constructor
Description
`EqualityHelperExtensionProviderDescriptorRegistryImpl()`
Creates a new extension registry.

## Method Summary

Modifier and Type
Method
Description
`void`
`clear()`
Removes all extensions from this registry.
`static EqualityHelperExtensionProvider.Descriptor.Registry`
`createStandaloneInstance()`
Returns a default registry i.e. an empty one
`com.google.common.collect.ImmutableList<EqualityHelperExtensionProvider.Descriptor>`
`getDescriptors()`
This will return a copy of the registered equality helper extension providers list.
`com.google.common.collect.ImmutableList<EqualityHelperExtensionProvider>`
`getEqualityHelperExtensionProviders(EPackage ePackage)`
Retrieve the equality helper extension providers from a given `ePackage`.
`EqualityHelperExtensionProvider`
`getHighestRankingEqualityHelperExtensionProvider(EPackage ePackage)`
Retrieve the highest ranking equality helper extension provider from a given `ePackage`.
`EqualityHelperExtensionProvider.Descriptor`
`put(String key, EqualityHelperExtensionProvider.Descriptor equalityHelperExtensionProvider)`
Adds a equality helper extension provider to the registry.
`EqualityHelperExtensionProvider.Descriptor`
`remove(String key)`
Removes a equality helper extension provider from this registry.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EqualityHelperExtensionProviderDescriptorRegistryImpl

public EqualityHelperExtensionProviderDescriptorRegistryImpl()
Creates a new extension registry.

## Method Details

### createStandaloneInstance

public static EqualityHelperExtensionProvider.Descriptor.Registry createStandaloneInstance()
Returns a default registry i.e. an empty one

Returns:
  A default empty registry

### put

public EqualityHelperExtensionProvider.Descriptor put(String key, EqualityHelperExtensionProvider.Descriptor equalityHelperExtensionProvider)
Adds a equality helper extension provider to the registry.

Specified by:
  `put` in interface `EqualityHelperExtensionProvider.Descriptor.Registry`
Parameters:
  `key` - key with which the specified descriptor is to be associated
  `equalityHelperExtensionProvider` - equality helper extension provider that is to be added to this registry.
Returns:
  the previous descriptor associated with `key`, or `null` if there was no mapping for `key`. (A `null` return can also indicate that the map previously associated `null` with `key`, if the implementation supports `null` values.)

### clear

public void clear()
Removes all extensions from this registry.

Specified by:
  `clear` in interface `EqualityHelperExtensionProvider.Descriptor.Registry`

### getDescriptors

public com.google.common.collect.ImmutableList<EqualityHelperExtensionProvider.Descriptor> getDescriptors()
This will return a copy of the registered equality helper extension providers list.

Specified by:
  `getDescriptors` in interface `EqualityHelperExtensionProvider.Descriptor.Registry`
Returns:
  A copy of the registered equality helper extension providers list.

### remove

public EqualityHelperExtensionProvider.Descriptor remove(String key)
Removes a equality helper extension provider from this registry.

Specified by:
  `remove` in interface `EqualityHelperExtensionProvider.Descriptor.Registry`
Parameters:
  `key` - key of the equality helper extension provider descriptor that is to be removed from the registry.
Returns:
  the previous value associated with `key`, or `null` if there was no mapping for `key`.

### getHighestRankingEqualityHelperExtensionProvider

public EqualityHelperExtensionProvider getHighestRankingEqualityHelperExtensionProvider(EPackage ePackage)
Retrieve the highest ranking equality helper extension provider from a given `ePackage`.

Specified by:
  `getHighestRankingEqualityHelperExtensionProvider` in interface `EqualityHelperExtensionProvider.Descriptor.Registry`
Parameters:
  `ePackage` - The given ePackage.
Returns:
  The associated equality helper extension provider with the highest ranking.

### getEqualityHelperExtensionProviders

public com.google.common.collect.ImmutableList<EqualityHelperExtensionProvider> getEqualityHelperExtensionProviders(EPackage ePackage)
Retrieve the equality helper extension providers from a given `ePackage`.

Specified by:
  `getEqualityHelperExtensionProviders` in interface `EqualityHelperExtensionProvider.Descriptor.Registry`
Parameters:
  `ePackage` - The given ePackage.
Returns:
  The associated equality helper extension providers if any.